commit:     77439de6529aa525779ce6e6921521b7ee847b31
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  7 12:47:12 2017 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 12:47:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77439de6

media-radio/unixcw: Version bump. Fix tinfo problem.

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 media-radio/unixcw/Manifest                     |  1 +
 media-radio/unixcw/files/unixcw-3.5-tinfo.patch | 21 ++++++++
 media-radio/unixcw/unixcw-3.5.1.ebuild          | 72 +++++++++++++++++++++++++
 3 files changed, 94 insertions(+)

diff --git a/media-radio/unixcw/Manifest b/media-radio/unixcw/Manifest
index b614d7b7e5b..dcc85630ca4 100644
--- a/media-radio/unixcw/Manifest
+++ b/media-radio/unixcw/Manifest
@@ -1,2 +1,3 @@
 DIST unixcw-3.4.2.tar.gz 730461 SHA256 
ace7d16cfc8f84ffe041de6774baa0727ed0230657cf8a93cb4addf1cb4e8b2a SHA512 
118e4f7fcca78713e5be5aa2faccec4e26979e95dcc300bf259534bb417eee7b21591ecb778467591b1a3b61c9ede18f229f88cd1bba2d6bc54f4d410096e0c9
 WHIRLPOOL 
e8959ccb6eca32f4d468dbdb1add61dad6be30b453369385a1c857309ea89d052e4ef5577c4e17f101a79ee762f10ead3ec1fae72a394455ac473c4758fe0e3c
 DIST unixcw-3.5.0.tar.gz 739258 SHA256 
82c455b67c6444165ec59f75bc29ad0665b79d70489bd09e3166fd1ccde718e6 SHA512 
82128656dce56558f4a41be394afd1579f9de43f170c695e09e25e231b8416993b1cb94215325b39645391b2a43ede8119291efad284fecc35eb8a753669e8ec
 WHIRLPOOL 
3c6dd3bcfa4d43f114938a1048e04f21a63199bb7c291e415e5b035dfe6c59031c60760ad65721cea84ee942ef6263f1938fa9093e6ab6c620875433b415c878
+DIST unixcw-3.5.1.tar.gz 740331 SHA256 
63b6253e29083e1e27c65150f580792aab912c989ae2d47c6df16e80cc79e07e SHA512 
b59499723d810a537a2f5ab2b4b34c83a1c8c815af82a60ba29f4d9cee445525e530136f4e202db6b87305ac7a818fa6e59214a45c6bffce299eb50b58c866e1
 WHIRLPOOL 
d9ff9ea9548852c68f6948e4aa630cb58ae8487161723361644c4f7b93708123ca2e82e6860be33156ae15db482a6fc7eb6ae81792783f6f47c7e2ff08d05be6

diff --git a/media-radio/unixcw/files/unixcw-3.5-tinfo.patch 
b/media-radio/unixcw/files/unixcw-3.5-tinfo.patch
new file mode 100644
index 00000000000..3473f752deb
--- /dev/null
+++ b/media-radio/unixcw/files/unixcw-3.5-tinfo.patch
@@ -0,0 +1,21 @@
+--- configure.ac.old   2017-03-07 13:31:46.074580930 +0100
++++ configure.ac       2017-03-07 13:33:25.640924331 +0100
+@@ -355,6 +355,7 @@
+     AC_CHECK_LIB(curses, initscr)
+     if test $ac_cv_lib_curses_initscr = 'yes' ; then
+       WITH_CWCP='yes'
++      PKG_CHECK_MODULES(ncurses, ncurses, [NCURSES_LIB="$ncurses_LIBS"], )
+     else
+       WITH_CWCP='no'
+       AC_MSG_WARN([Cannot find libcurses - unable to build cwcp])
+--- src/cwcp/Makefile.am.old   2017-03-07 13:30:10.813167002 +0100
++++ src/cwcp/Makefile.am       2017-03-07 13:30:28.950864931 +0100
+@@ -26,7 +26,7 @@
+ # target-specific preprocessor flags (#defs and include dirs)
+ #cwcp_CPPFLAGS = -I$(top_srcdir)/src/cwutils/ -I$(top_srcdir)/src/libcw/
+ # target-specific linker flags (objects to link)
+-cwcp_LDADD = -lcurses -L$(top_builddir)/src/libcw/.libs -lcw 
$(top_builddir)/src/cwutils/lib_cwcp.a
++cwcp_LDADD = $(ncurses_LIBS) -L$(top_builddir)/src/libcw/.libs -lcw 
$(top_builddir)/src/cwutils/lib_cwcp.a
+ 
+ 
+ # copy man page to proper directory during installation

diff --git a/media-radio/unixcw/unixcw-3.5.1.ebuild 
b/media-radio/unixcw/unixcw-3.5.1.ebuild
new file mode 100644
index 00000000000..6d7cf506822
--- /dev/null
+++ b/media-radio/unixcw/unixcw-3.5.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic multilib
+
+DESCRIPTION="A package of programs that fit together to form a morse code 
tutor program"
+HOMEPAGE="http://unixcw.sourceforge.net";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+IUSE="alsa ncurses pulseaudio suid qt5"
+
+RDEPEND="ncurses? ( sys-libs/ncurses:= )
+       qt5? ( dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtwidgets:5 )
+       alsa? ( media-libs/alsa-lib )
+       pulseaudio? ( media-sound/pulseaudio )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       sys-devel/libtool
+       !<=app-misc/cw-1.0.16-r1"
+
+src_prepare() {
+       append-cflags -std=gnu11
+       append-cxxflags -std=gnu++11
+       epatch "${FILESDIR}"/$PN-3.5-tinfo.patch
+       eautoreconf
+}
+
+src_configure() {
+       econf --libdir=/usr/$(get_libdir) \
+               $(use_enable pulseaudio ) \
+               $(use_enable alsa ) \
+               $(use_enable ncurses cwcp ) \
+               $(use_enable qt5 xcwcp )
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       prune_libtool_files
+       dodoc ChangeLog NEWS README
+       if ! use suid ; then
+               fperms 711 /usr/bin/cw
+               if use ncurses ; then
+                       fperms 711 /usr/bin/cwcp
+               fi
+               if use qt5 ; then
+                       fperms 711 /usr/bin/xcwcp
+               fi
+       fi
+}
+
+pkg_postinst() {
+       if use suid ; then
+               ewarn "You have choosen to install 'cw', 'cwcp' and 'xcwcp' 
setuid"
+               ewarn "by setting USE=suid."
+               ewarn "Be aware that this is a security risk and not 
recommended."
+               ewarn ""
+               ewarn "These files do only need root access if you want to use 
the"
+               ewarn "PC speaker for morse sidetone output. You can 
alternativly"
+               ewarn "drop USE=suid and use sudo."
+       else
+               elog "Be aware that 'cw', 'cwcp' and 'xcwcp' needs root access 
if"
+               elog "you want to use the PC speaker for morse sidetone output."
+               elog "You can call the programs via sudo for that (see 'man 
sudo')."
+       fi
+}

Reply via email to